__all__ = [
	'NoConnectionError',
	'MaxConnectionsError',
	'NoTransactionError',
	'NoTableLayoutError',
	'UpdateAllRowsError'
]


class NoConnectionError(Exception):
	'Raise when a function requiring a connection gets called when there is no connection'


class MaxConnectionsError(Exception):
	'Raise when the max amount of connections has been reached'


class NoTransactionError(Exception):
	'Raise when trying to execute an SQL write statement outside a transaction'


class NoTableLayoutError(Exception):
	'Raise when a table layout is necessary, but not loaded'


class UpdateAllRowsError(Exception):
	'Raise when an UPDATE tries to modify all rows in a table'
